samtools-fixmate(1)

NAME
samtools fixmate - fills in mate coordinates and insert size fields.

SYNOPSIS

samtools fixmate [-rpcm] [-O format] in.nameSrt.bam out.bam

DESCRIPTION

Fill in mate coordinates, ISIZE and mate related flags from a name-sorted alignment.

OPTIONS

-r  Remove secondary and unmapped reads.

-p  Disable FR proper pair check.

-c  Add template cigar ct tag.

-m  Add ms (mate score) tags. These are used by markdup to select the best reads to keep.

-O FORMAT
    Write the final output as sam, bam, or cram. By default, samtools tries to select a format based on the output filename extension; if output is to standard output or no format can be deduced, bam is selected.

--no-PG
    Do not add a @PG line to the header of the output file.

AUTHOR

Written by Heng Li from the Sanger Institute.

SEE ALSO
samtools(1), samtools-markdup(1), samtools-sort(1)

Samtools website: <http://www.htslib.org/>